Por que Java, Silverlight, Adobe Acrobat e outros plugins não funcionam mais?

Firefox Firefox Última atualização: 12/05/2020 55% de usuários consideraram isto útil

Desde que o Firefox versão 52 foi lançado em 7 de março de 2017, plugins NPAPI instalados não foram mais aceitos no Firefox, com exceção do Adobe Flash Player. Alguns plugins que não são mais carregados no Firefox, mesmo que possam estar instalados em seu computador, incluem Java, Microsoft Silverlight e Adobe Acrobat.

Fim do suporte ao Flash: Assim como outros navegadores e a própria Adobe, o Firefox encerrou o suporte ao Flash no final de 2020. Consulte mais informações em Fim do suporte ao Adobe Flash.

Nota: Os plugins Widevine CDM e OpenH264 Video Codec não são plugins NPAPI e continuam sendo aceitos.

Ao longo dos últimos anos, o Firefox implementou várias APIs Web para que os sites possam fazer as mesmas coisas que sempre fizeram, mas sem usar plugins, então você provavelmente não notará qualquer mudança em sua experiência de navegação.

Por que o Firefox fez isto?

A internet está cheia de sites que mostram mais do que páginas estáticas, como vídeo, áudio e jogos. Embora os plugins NPAPI, especialmente o Flash, ajudaram a possibilitar essas páginas interativas, também deixam a navegação mais lenta, menos segura e mais sujeita a travamentos.

Ao longo dos últimos anos, o Firefox trabalhou muito para criar substitutos desses plugins. Esses substitutos são chamados de Web APIs. Foram projetados para substituir as funcionalidades dos plugins NPAPI, sem comprometer a segurança, estabilidade e desempenho na internet.

Antes, embora essas Web APIs não estivessem totalmente prontas, o Firefox iniciou a transição, fazendo o carregamento dos plugins ser manual (clique para ativar).

Agora, muitos sites adotaram Web APIs, e quase todas as suas páginas preferidas podem ser aproveitadas sem usar plugins antigos e inseguros. O Firefox se junta a outros navegadores modernos, como Google Chrome e Microsoft Edge, removendo o suporte a esses plugins NPAPI.

E se eu estiver usando uma versão mais antiga do Firefox?

Recomendamos que você atualize o Firefox, se puder.

Cada atualização do Firefox inclui correções e melhorias importantes, inclusive algumas que ajudam a manter sua segurança na internet. Usar uma versão antiga de qualquer navegador, incluindo o Firefox, coloca seus dados pessoais e até seu computador em risco.

O Firefox tem se estendido para suportar recursos que costumavam precisar de plugins adicionais. Além disso, os plugins também são mantidos atualizados automaticamente e gerenciados por meio de listas de bloqueio para maior segurança. Desta forma, você pode ficar em dia apenas atualizando o Firefox.

Este artigo foi útil?

Por favor, aguarde...

Essas pessoas ajudaram a escrever este artigo:

Illustration of hands

Torne-se um voluntário

Desenvolva e compartilhe sua especialidade com outras pessoas. Responda perguntas e aprimore nossa base de conhecimento.

Saiba mais